﻿<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <LangVersion>12</LangVersion>
    </PropertyGroup>
    <PropertyGroup>
        <GenerateDocumentationFile>true</GenerateDocumentationFile>
        <NoWarn>$(NoWarn);1591</NoWarn>
    </PropertyGroup>
    <ItemGroup>
        <PackageReference Include="Confluent.Kafka" Version="2.3.0" />
        <PackageReference Include="Google.Protobuf" Version="3.26.1" />
        <PackageReference Include="Grpc.Tools" Version="2.62.0">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="MediatR" Version="12.2.0" />
        <PackageReference Include="MediatR.Contracts" Version="2.0.1"/>
        <PackageReference Include="MediatR.Extensions.Microsoft.DependencyInjection" Version="11.1.0"/>
        <PackageReference Include="Microsoft.Extensions.Configuration.Binder" Version="8.0.1" />
        <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="8.0.0" />
        <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    </ItemGroup>
    <ItemGroup>
        <Folder Include="Adapters\" />
        <Folder Include="Application"/>
    </ItemGroup>
    <ItemGroup>
      <None Remove="Adapters\Kafka\OrderStatusChanged\Contract.proto" />
      <Protobuf Include="Adapters\Kafka\OrderStatusChanged\Contract.proto">
        <CopyToOutputDirectory>Always</CopyToOutputDirectory>
      </Protobuf>
    </ItemGroup>
</Project>
